AutoCad :: Select Line Start / End Point That Is Known Distance From OSnap Point?
Jun 9, 2011
I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.
Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.
Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.
Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.
I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.
When I draw a line, is there a way to say, "Start at point (864,0), go exactly 270° down (actually, I can hold down the shift key for that, but I digress...) and end at the other side of the canvas at point (864, 3456)?
A script would probably work well, but I've never dipped into that.
We have been modifying a trim-around-block routine to have as few clicks as possible and though it feels like we'd be able to have the line to be broken auto-selected based off of the insertionpoint that was set as a variable.
;(setq ss (ssget '((0 . "LWPOLYLINE")))) ; limited to Polylines ; (while (> (sslength ss) 0) ; as long as there's anything in [or remaining in] the selection set)) ; (setq ent (ssname ss 0) ; paramcount 1 ; ) ; first entity in [or remaining in] the selection set paramcount 1); end setq
are about the closest snippets of code that we've managed to find but neither of these are working.
How we can force the program to break the line without the user having to select the line (because they will have already selected the insertpoint, and using osnap nearest would find the line that requires breaking)
Is there a setting that I am missing where if your osnap is set to node, it will snap to the node if you hover over the point text? I seem to remember this working in versions before 2012.
Back in LDT you used to be able to mouse over point descriptions of dragged state points to get Osnap to select the node. Civil 3D has apparently done away with this, why who knows but its very very hard to know what point your selecting if say you have a bunch of points on top of eachother. Can this be enabled anywhere?
The very mundain work around is to use 'PO to select the point entity, but it does not show the little osnap indicator on the point marker when you use 'PO.
Is there a reason why the "node" osnap won't recognoze certain point markers? I have recently begun using named plot styles and I have been revising some of our markers to reflect this. I have noticed that some of the point markers (it seems like markers that use a circle as part of the marker) won't show the node marker no matter how I hover around it. Others seem to be normal.
Is there a way the “Osnap” can “feel” the tangent of the "circle point style"?I’m wondering if there is a way that the “Osnap” can feel the circle “point style” (given in the screenshot below) such that it is snapped to its tangent?
How to get a point in the polyline with a set distance and obeying my current ucs. A projection of the point as an orthogonal snap.
I wrote a code creating a polyline between the lowest and the highest initial polyline and obtaining the intersection. But when it comes to many points the rendering is quite time consuming.
I am look at a way to place the start of a line a certain distance away from the end of another endpoint. Is there a more productive way of doing this rather than drawing one line on the x axis and another on the y axis.
I have located steel beams of an existing building roof frame. I am being asked to provide a distance from the theoretical roof to these points. The roof is sloped and I can create the sloped roof plane but I am unsure how to get the distance from the point to perpendicular to the theoretical roof slope, not the difference in elevation. Also would it be possible to label or make a table?
I read all of the posts I could on point gaps and know how to make the leader reach for the center of the point. What I want is for the leader to actually attach to the block of the style I have created. Is this possible, or do I need to find a new way to label of these points so that the leader touches the block. Also I noticed the gap is not consistent from point to point.
I am using civil 3d 2011 with the latest service pack.
Civil 3D 2013 HP Z400 Workstation 6GB of RAM 296GB HDD ATI FirePro V5700(FireGL) Win 7 Home Professional
I use point filters allot when measuring distances. I noticed today using Full CAD 2010 that when i measured a distance (Say 2m) using a "Y" point filter, between two objects not directly below one another the answer i got was wrong. It seemed to give me the distance of where my crosshairs where at the time of finishing the command.
I have tried this on another full system of CAD 2010 and a light version. Problem occurs on all.
I know that if you just measure between the points CAD will give you the (-Y) answer in the command line, but using point filters is an old habbit hard to kick.
if its possible to have a command which does a multiple distance? at the moment im drawing a polyline, doing a list on it then deleting it, which is a bit mudane now.
I need a lisp that creates a polygon of N points, so to enter a only the distance between these points, after choosing N points in the drawing for approximately creating polygons.
I was wable to write some code that makes some already drawn objects on autocad into a selection set. What I need to do next is copy the selected objects and move them over like a distance of 50 to the right.
I draw a pline. It asks me for the start point. I type in INT. I used to get this 'x' when I was near the intersection. That is now gone. It will still go to the intersection, but I really want my 'x' back.
I want to add say a circle and an arrow at the two ends of a line. I am able to do it using Blocks for one single line by inserting the blocks at desired locations. But how to do it for say all the lines in a drawing or shape file without customization.
I have a problem with absolute and relative coordinate regarding drawing an arc.
From my previous studies, I thought whenever I input coordinates in command line, in order to use absolute coordinates I just enter them. If I want to use relative coord, then I can prefix them with @ sign.
For an arc I input as follows: start point: 0,0 2nd point: 500,500 end point: 1000,0. I was expecting to get a half circle from origin to 1000,0 point but to my surprise I find out that CAD gets the input coordinates as relative.
Am I missing something? 1.dwg1.jpg Is this behavior same for all other object drawings?
I have to draw hundreds of lines that have same start point. How can i do this?
I am trying to insert a picture but seem impossible for me. Sow i have lines with the same start point and different endpoints. There is a short way to do this. so avoid to enter the same start point for hundreds times or snap the the same point infinitely... what about Copy with grips or Change command in this case?
Before when I was creating models the origin (0,0,0) was always set in the snap point i started the line in. Now suddenly something happend and now 0,0,0 is always starting in the Original XYZ point.
I work with shapes all day designing mobile apps. Thus, I'm constantly selecting and resizing rounded rectangles. When resizing I have to individually select all four points of a side to move it without distorting the rounded corners. I cannot click and drag, because that will activate any shapes underneath the one I want to select.
I'm looking for a plugin or alternative to easily select the entire side of a rounded rectangle. IE - I click one point on a side, and it auto selects all four points on that side, or the like.